# coding: utf-8

from __future__ import unicode_literals

from tionix_autosetup.executors.base import fabric
from tionix_autosetup.variables import DBNameVar, RabbitVirtHostVar


variables_prefix = 'TNX_MON'


class MonitorDBNameVar(DBNameVar):
    default = 'tionix_monitor'


class MonitorRabbitVirtHostVar(RabbitVirtHostVar):
    default = 'tionix_monitor_vhost'


custom_variables = {
    MonitorDBNameVar.name: MonitorDBNameVar,
    MonitorRabbitVirtHostVar.name: MonitorRabbitVirtHostVar,
}


@fabric
def variable_box_fabric(box_cls, **kwarg):
    instance = box_cls(
        variables_prefix=variables_prefix,
        custom_variables=custom_variables,
        **kwarg)
    return instance
