# coding: utf-8

from __future__ import unicode_literals

from tionix_autosetup.executors.base import fabric
from tionix_autosetup.variables import DBNameVar, RabbitVirtHostVar


variables_prefix = 'TNX_NC'


class NCDBNameVar(DBNameVar):
    default = 'tionix_node_control'


class NCRabbitVirtHostVar(RabbitVirtHostVar):
    default = 'tionix_nc_vhost'


custom_variables = {
    NCDBNameVar.name: NCDBNameVar,
    NCRabbitVirtHostVar.name: NCRabbitVirtHostVar,
}


@fabric
def variable_box_fabric(box_cls, **kwarg):
    instance = box_cls(
        variables_prefix=variables_prefix,
        custom_variables=custom_variables,
        **kwarg)
    return instance
